(*^

::[paletteColors = 128; showRuler; magnification = 125; currentKernel; 
	fontset = title, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, groupLikeTitle, center, M7, R65535, L1, e8,  24, "CalcMath"; ;
	fontset = subtitle, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "CalcMath"; ;
	fontset = subsubtitle, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "CalcMath"; ;
	fontset = section, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "CalcMath"; ;
	fontset = subsection, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeSection, blackBox, M19, R32767, B32767, L1, a15,  16, "CalcMath"; ;
	fontset = subsubsection, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeSection, whiteBox, M18, L1, a12,  14, "CalcMath"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, B65535, L1,  14, "CalcMath"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "CalcMath"; ;
	fontset = input, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, preserveAspect, groupLikeOutput, M42, N23, R65535, B65535, L1,  12, "Courier"; ;
	fontset = print, inactive, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w248, h323, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, whiteBox, M7, B65535, L1,  14, "CalcMath"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, R32767, B32767, L1,  12, "Courier"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, right, M7, bold, L1,  12, "CalcMath"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, bold, italic, L1,  12, "CalcMath"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "CalcMath"; ;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; ]
Welcome to
Calculus&Mathematica
:[font = subsubtitle; inactive; preserveAspect; ]
A laboratory course for learning by doing.
;[s]
1:0,0;42,-1;
1:1,18,13,CalcMath,1,18,39334,26201,13068;
:[font = subsubtitle; inactive; preserveAspect; ]
by Bill Davis, Horacio Porta and Jerry Uhl.
The Ohio State University 
&
University of Illinois at Urbana-Champaign 
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Our Philosophy Toward The Course
:[font = text; inactive; preserveAspect; ]
Before we get down to the business of running a Calculus&Mathematica Course, we'd like to talk a bit about our ideas about Calculus&Mathematica.  Where, for example, did they come from?
:[font = text; inactive; preserveAspect; ]
Peter Lax, at the beginning of the current Calculus Reform Initiative in the USA, said:

Calculus as currently taught is, alas, full of inert material which will remain there as long as the teaching of calculus is controlled by ... the group presently entrusted with teaching it.
                                                                          
That is quite an indictment and it is right on target.  Probably the reason for the calculus malaise is that Calculus is usually taught mechanically;  few calculus instructors have ever looked at the course with a critical eye.  In fact most calculus instructors are hard pressed to come up with a definition of what calculus is. Instead of pursuing the issue of what calculus is, teachers allow the course to be test-driven with the result that calculus has become a training exercise rather than an exciting adventure.  It seemed to many of us that the most difficult problem in a calculus course was determining which highlighted formula is to be used to solve the problem at hand.  

Henri Lebesgue said it best: 
;[s]
1:0,0;1263,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Unfortunately, competitive examinations often encourage one to commit this little bit of deception.   The teachers must train their students to answer little fragmentary questions quite well, and they give them model answers that are often veritable masterpieces and that leave no room for criticism. To achieve this, the teachers  isolate each question from the whole of mathematics and create for this question alone a perfect language without bothering about its relationships to other questions. Mathematics is no longer a monument but a heap.
;[s]
1:0,0;547,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
That's not the mathematics we all know and love.  How can we expect youngsters to see its beauty? For us, the beginning of an attempt to get calculus back on keel was to agree on what calculus is. 
:[font = subsection; inactive; preserveAspect; ]
The Calculus&Mathematica definition of calculus.
;[s]
3:0,0;13,1;24,2;49,-1;
3:1,16,12,CalcMath,0,16,32735,0,32735;1,16,12,CalcMath,2,16,32735,0,32735;1,16,12,CalcMath,0,16,32735,0,32735;
:[font = text; inactive; preserveAspect; ]
Calculus coalesced as a coherent body of knowledge when Isaac Newton announced to the world that
         # f'[x] dx = f[b] - f[a].
C.H. Edwards in his book The Historical Development of the Calculus states:
   
The contribution of Newton and Leibniz for which they are properly credited as the discoverers of the calculus was not merely the fact that they recognized the "fundamental theorem of calculus" as a mathematical fact, but that they employed it to distill from the rich amalgam of earlier infinitesimal techniques a powerful algorithmic instrument for systematic calculation.

Thus while arithmetic is the introduction to the science of counting,  calculus is the introduction to the science of measurements - both exact and approximate. This is why we tell the student to think of calculus as a toolbox of measurement devices.  Calculus&Mathematica  consists of learning what the tools are and how to use them.

Once you take this point of view, then you can see why many well-accepted calculus rituals must be scrapped and replaced by worthier activities.  The biggest change this forces is acceptance of the premise that curves have slopes, regions have area, curves have length etc.  The job of calculus is to measure these and other quantities by use of functions, derivatives, (definite) integrals and approximations.     
;[s]
3:0,0;106,1;107,2;1342,-1;
3:1,14,10,CalcMath,0,14,0,0,0;1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; ]
Pathology
:[font = text; inactive; preserveAspect; ]
We mathematicians have traditionally taken very few chances in teaching.  For one thing, we are afraid to lie.  One result is our love affair with pathology.  We cover our tails by telling students that things can go wrong.  There are functions which are continuous everywhere and differentiable nowhere.  There are functions with positive derivative at a point, but not increasing in any neighborhood of that point.  The result, it seems to us, is that calculus students learn to distrust everything they do rather than simply to develop a healthy skepticism as we wish they would.  Pathology is not important in calculus and dealing with it leads to stilted texts and lectures best described by Henri Lebesgue:    
:[font = text; inactive; preserveAspect; ]
There is a real hypocrisy, quite frequent in the teaching of mathematics. The teacher takes verbal precautions, which are valid in the sense that he gives them, but that the students most assuredly  will not understand in the same way. 

We believe that the pathologies frequently discussed in calculus courses are important in mathematical analysis, but that students need to develop an optimistic attitude about the power of calculus before we draw the boundaries too tight.  There's plenty of time for fear in using mathematics.
:[font = subsection; inactive; preserveAspect; ]
What Do We Want From Students?
:[font = text; inactive; preserveAspect; ]
Richard Hamming once said, "The purpose of computing is insight, not numbers."  Calculus&Mathematica  is in harmony with Hamming's sentiment because Calculus&Mathematica is based on the principle that the purpose of Mathematica in the calculus classroom is insight, not numbers.  Many professors have suggested that Mathematica will be useful in the classroom to solve textbook problems.  We agree but we go one step further by writing Calculus&Mathematica in such a way that Mathematica calculations and plots set up ideas which in turn set up more calculation and plots which in turn set up more ideas. . . 
:[font = text; inactive; preserveAspect; ]
The tone of Calculus&Mathematica is not "mathematical" in the sense that most students would use this word.  On the contrary, the tone is nearly always conversational, sometimes humorous and occasionally a little irreverent.  But the experience of learning through Calculus&Mathematica is more heavily mathematical than one might find in calculus texts not written by Courant or Spivak.
:[font = text; inactive; preserveAspect; ]
Students need insight before formality and this is what they get in this course.  The first goal of this course is to try to put the student into the position of having the right mathematical reaction to a given situation.  We want Calculus&Mathematica students to be confident and daring rather than diffident and conservative.
:[font = subsection; inactive; preserveAspect; ]
In The Classroom
:[font = text; inactive; preserveAspect; ]
We treat Calculus&Mathematica as a lab course.  We don't lecture. We treat Calculus&Mathematica as a shared challenge for faculty and students.  Students are given lessons and assignments.  They spend their time in the lab working on the lessons, asking us questions and sharing their insights with their peers.  What we see is students working during their assigned class time and for another hour or two each day.  Once a week we meet the students outside the lab to talk generally about what is going on in the current lesson, and, perhaps, to give an on-paper quiz.  New material is never presented in the discussion hours  

The center of the course is the Give It A Try problems.  Everything is here:  the experiences introducing ideas and topics,  the challenges to intellect and patience, and the excitement of beating the course and solving a really difficult problem.  This is where the students spend most of their time and energy.  That's what we want.  

The pace for the course is just about one C&M  notebook per work week in a three semester hour course.  At both Illinois and Ohio State, we have learned the hard way that regular homework submission dates are very important.  We also learned that making the length of assignments reasonable pays big dividends.  There is a temptation with a nearly perfect problem set like the one provided here to ask students to do all of the problems.  The result, though, when students encounter long assignments, is that they get frantic, resort to a great deal of cutting and pasting, and concentrate only on finishing the assignments rather than savoring them.  They do savor the problems when they come at a reasonable rate.  You will probably need to discover how many problems you can assign each week.  You should also be flexible at first.  By the way, it's sometimes difficult to strike the appropriate balance of making the length of assignments suitable, and giving enough of a challenge.  Whatever you do, keep them strained and working hard.  That's when they have the most fun and when they learn the most.
:[font = subsubsection; inactive; preserveAspect; ]
Flexibility.
:[font = text; inactive; preserveAspect; ]
You are free to use Calculus&Mathematica any way you like.  What we describe here is what our experience has told us that it should be used.

You can change problems or examples in existing lessons. You can write your own new lessons and distribute the results to the students.  The license agreement allows this provided that you distribute your materials only to students who already own a copy of Calculus&Mathematica.

One consideration: The fonts are protected somehow, and are not freeware.

You are even free to use Calculus&Mathematica  in support of a calculus course taught out of a standard text.  Although this option seems strange to us, we would like to hear from anyone who tries it.
:[font = subsection; inactive; preserveAspect; ]
About the Give it a try problems
:[font = text; inactive; preserveAspect; ]
We have taken great care in the design of the problems for the Give It a Try's in Calculus&Mathematica.  You won't find many problems which emphasize just routine manipulation.  There are some, of course, because we do believe that there is a minimal core of calculational competency required of calculus practitioners.

The overriding issue in the design of a problem, though, is the calculus content of that problem.  In this day of revisionist calculus courses, one is tempted to design problems which are exceptionally interesting, can be done with the calculus at hand, and which might play well to audiences watching calculus instruction change from the outside.  There are such problems here, but we have one primary rule:  Calculus content must be the primary feature of a Calculus&Mathematica problem.  In fact many problems in Calculus&Mathematica are present solely because they set up visualizations and calculations that point in the direction of underlying ideas (theory).
:[font = subsection; inactive; preserveAspect; ]
What Students Should Take Calculus&Mathematica ?
:[font = text; inactive; preserveAspect; ]
Calculus&Mathematica  seems to work best for students who have a genuine desire to learn.  Students who have no desire to learn and are taking calculus just because a requirement forced them to do so are not good candidates for Calculus&Mathematica. They aren't good for any course, but have no chance of surviving Calculus&Mathematica.

Motivated students, even those with a poor background in algebra, have typically done well in Calculus&Mathematica.  In fact at Illinois, we have not noted a difference between performance of kids from the fancy Chicago suburban high schools and kids from  rural downstate high schools.  At Ohio State, we were surprised at quarter's end to learn which students were listed as being honors students.  We have also noticed that computer nerds have no special advantage in the course.  Parts of Calculus&Mathematica have been used successfully in The Merit Program for minority students at Illinois.  At Ohio State, we used the Approximation and Series portion of the course as a calculus review course for secondary school math teachers returning for Master's degree work.
:[font = subsection; inactive; preserveAspect; ]
Student Writing
:[font = text; inactive; preserveAspect; ]
Writing is central in Calculus&Mathematica.  Students are asked to explain what's happening in their own words and not in the rigid style they perceive as mathematical discourse.  In other words, students are encouraged to talk about calculus the way that mathematicians and scientists really talk about calculus and not to try to talk about calculus the way that most calculus students think we want them to talk.
:[font = text; inactive; preserveAspect; ]
Often we ask students to announce and explain what's going on. At first students resist this because,"In mathematics you are not supposed to have opinions."  Once the students find out that you are not going to insist on the precise phrasing you wanted, they get into the swing of things. If you don't make the mistake of demanding precision and rigor before an idea has crystalized in the students' minds,  then you'll be very pleasantly surprised with what you get in return. The students seem quite excited to get answers and explain them in their own terms. With a little guidance (found in the text cells of the lesson) they soon enough announce correct results based on their experience.  Granted, they cannot always give mathematical proofs of these facts, but they are convinced, being the originators of the statements and fully committed to their validity. 
:[font = text; inactive; preserveAspect; ]
We insist on good descriptions of the work done.  We believe that logical thought requires command of language.  On the other hand, we believe that students understand concepts first visually and computationally.  So we don't insist on precise writing, but we do insist on clear writing. We get some surprisingly good prose.  We aren't very good at grading it, but we are getting better.   We believe that a student who can write completely coherent descriptions of what has occurred in a computation or plot has done what we want -- learned the material.

:[font = subsection; inactive; preserveAspect; ]
Working together
:[font = text; inactive; preserveAspect; ]
We want our students to work together and share their ideas.  Calculus in the classroom should be like calculus outside the classroom on the job.  No one would ever assert that engineers in industry should not work together and we think no one should ever assert that calculus students should not work together.  A lot of real learning occurs right in the lab when a bunch of students converge  around a machine for an impromptu skull session. This sort of cooperation is one of the keys to the success of Calculus&Mathematica.   This is one of the themes common to recommendations you will get from everyone involved in Calculus Reform.  Students working together share and develope excellent ideas.  What more could we ask?  

Students coming from typical mathematics courses that center on drill problems and short answer testing will have trouble with this idea in a Calculus&Mathematica course.  Many have been told that sharing the experience of solving a problem is a mildly disguised form of cheating.  Work hard on getting them to work together.  We tell them that the only thing we consider unfair is simple copying of another's work.  
:[font = section; inactive; preserveAspect; ]
How to start
:[font = text; inactive; preserveAspect; ]
Get a lab.  For now, it should be a Macintosh or NeXT lab, but in the near future a PC/Windows lab or X-term lab will also work.  (The main thing missing there now is the notebook front end in Mathematica.)  The computers should have lots of RAM and math co-processors.  Color monitors are nice too.  As you try to decide how many machines to get, try the following rule of thumb:  A single computer can probably accomodate 4.5 to 5 students in a C&M course if the lab is open between 12 and 14 hours per day.  Be careful because demand for computer time is much greater at the beginning of a semester than it is at the end. Weekends are exceptional, of course.  We find that Friday and Saturday evenings are light, and that Sundays are heavy.  Get control of the lab if you can, but be careful about taking full responsibility for its maintenance.  

Let us elaborate on the business of getting and supporting a computer lab for C&M .  At the time of this writing of this guide, we can recommend Apple Macintosh computers such as Macintosh IIci with 8 megs of RAM per machine.  Macintosh IIsi's are probably OK, but need the additional Math Coprocessors and plenty of RAM.  We also recommend a lab "file server".  That's a computer whose primary purpose is storing student lessons and homework at a central location.  All of the machines in the lab should be connected together, to the printers, and to the file server with ethernet.  AppleTalk connections are simply slow by comparison.  Now, with this lab, you are ready to go, once you have purchased Mathematica  software and installed everything.  

The other computer on which you can run C&M  successfully is NeXT.  Standard NeXT Stations connected to a single server will do things quite nicely.  Most of the special things that are needed for connecting the machines are built into NeXT computers.  You pay a moderate price for using NeXT rather than Macintosh: We are only just now moving to a NeXT lab at Ohio State.  We have produced the CalcMath font, and have made the disks with lessons available on NeXT.  

You do need help in the lab.  Hire someone to restore damaged systems and replace missing files every night.  Hire someone to watch over the lab at all times;  lab monitors.  It is great if you can hire lab monitors who can also help students with questions about Calculus and/or Mathematica.  If you can't, you can't.  Set aside enough money to run the lab.  Never start a lab thinking that anything will take care of itself.  Everything will break if it can, so you need maintenance money.  Find someone locally who can repair them.  The best you can hope for is that annual maintenance will cost 5 per cent of the initial hardware cost per year.  You are lucky if you can get it for that.  The next thing you must admit to yourself is that those shiny, swift, clean and sexy machines will be old and outmoded in four or five years.  Put money aside to depreciate them in that time.  That's at least 20 per cent of the original cost per year.  It's worth it.  You will be able to replace machines with things you can't even dream about now at the end of that time.  OK?  We have described some serious expenses.  Just to get a bit of a handle on the monitoring costs, think of spending between $25,000 and $40,000  per year on monitors and systems maintenance.  

Now be ready to fight.  If you are lucky enough to be at a school which has a computer services center which supports micro-computer or workstation labs, try to contract the support services to them, but maintain control.  Be certain that you are in control of systems alterations, rules for use of the lab for purposes other than C&M, and so forth.  If you must hire and supervise the lab staff yourself, do it right, and be certain that one of them can be trusted to supervise the others.  We have found bright, reliable undergraduates who will work hard and can be trusted.  Expect interesting things to happen from the time you start planning until everything is running smoothly.  (That will happen from time to time.)

How do we staff the lab?  There are differences between what is done at Illinois and at Ohio State, but the basic model is the same.  During class time, registered students have absolute priority, and the lab oversight is the responsibility of the instructor for the section.  During other times, there are lab monitors who can provide help with Mathematica, the computers, and restrooms, as well as occasional help with Calculus&Mathematica.  There are some times when special monitors who are good with the course are in the lab to help.  

We expect the students in the course to help each other, too.  That's an extremely important part of the course.  You will have to foster and encourage this.  Students tend to think of cooperation in studying as some thinly disguised form of cheating.   By the end of Summer, 1991, we will recommend some stunts for getting students started working together in groups.  A single teacher can supervise the work of a class of 20 to 30 students in the lab only if the students are working together, or unnaturally independent.  (Don't trust the latter type until you know them.)

At Illinois, we have experimented with lab assistants who are actually enrolled in the course.  All indications are that these can be the very best lab assistants.  At Ohio State, we have used lab assistants who have just completed the course.  The current students in the course soon teach them what they should do.
:[font = subsection; inactive; preserveAspect; ]
Learning Mathematica.
:[font = text; inactive; preserveAspect; ]
Originally we thought Mathematica syntax would be hard for the students to learn. We were wrong. You will be asked to explain and identify syntax problems and error messages that the students encounter.  If you look at the end of this notebook, you will find a couple of the frequently occuring ones and their explanations ... to get you started.  You and the students will become sophisticated quite soon, and won't need to refer to this.  In the calculus lessons the students saw Mathematica commands and  routines in context and picked them up very quickly.  After the second or third week, Mathematica  syntax was not much of a problem at the level needed for successful performance. Professors with background in the Basic programming language seem to have more trouble adjusting to Mathematica than do students.  The old-timers tend to emphasize Mathematica as a programming language, while the kids emphasize it as a calculation and communication medium.
:[font = text; inactive; preserveAspect; ]
We don't give Mathematica lessons to students, to faculty or to TA's.  We never start lessons with statements like:  "Mathematica commands needed: ... Plot[ ], N[ ], ..."  We don't find that necessary.  
 
What we do is start students in the course on the first day of class in the first Starting Up lesson.  We find that our clients use the Mathematica commands easily with a little one-on-one help.  It's certain that their being chained to the machines for hours everyday makes a big difference.  In other words, turn them loose with the first lesson; hang around and help them.  They will do it well.  It seems to take about two weeks for them to get confident about their command over the system.

The first lesson should be more than enough to get you and the students familiar with the notebook structure of Calculus&Mathematica.  You and students will be able to learn how to construct notebooks by mimicking what you see.  Students learn how to type mathematical expressions in C&M  in the first lesson.  learn to type integrals and sums in the first lesson in the integration series of notebooks.  The key point in this paragraph is that you needn't spend all summer getting yourself ready for the Mathematica part of the course.  (However, if you are anxious to get your computer, and work through the lessons on your own, feel free to tell the administration that you must have a lot of time to get ready for this experience.)  Several of our TA's have gone into the lab for the very first time only the day before their duties began.  They do very well, even with no previous computer experience.  In fact, at Ohio State, some TA's have taken great pride in the fact that they know nothing about the computers except how to run Calculus&Mathematica notebooks.  

:[font = subsection; inactive; preserveAspect; ]
How should the lab be set up?
:[font = text; inactive; preserveAspect; ]
Most computer labs are arranged with the students facing the professor at the front of the room.  We have found this to be an undesirable configuration for a C&M  lab.  Instead, we set the computers up in George Francis's Illinois "U formation" and place the teacher at the top of the U with the students' backs toward the teacher or lab assistant. At OSU it is, of course, a block O.  From this vantage, the teacher can monitor the work of each student and can quickly spring to the aid of a student in trouble to teach the student at the optimal teachable moment. Thus the teacher is in a strong supporting role behind the students, pushing them instead of pulling them. Winston Churchill, who said that he was always ready to learn, but seldom ready to be taught, would have liked this because learning happens all the time and teaching happens only when it is asked for. The result of this design is a different outlook for the calculus course.  One of our students remarked that this was the only class in which he did his homework. When asked why, he replied;  "Because homework is the class."
:[font = subsection; inactive; preserveAspect; ]
Student Retention
:[font = text; inactive; preserveAspect; ]
Be ready to be surprised- both positively and negatively.  Expect a lot of drops early on.  Many students sign up for Calculus&Mathematica because they believe it will be a breeze with the computer doing all the work.  They bail out early and we are happy to see them leave.

Another group leaves saying, "We aren't learning the same stuff as the regular course; so there is something wrong with this course."   Bad money tends to drive out good money.  Let them go.  At Ohio State, we kept one such student by cajoling him, and the attitude of the entire class went sour.  Another group will say, "We are learning something, but it isn't math."  These are the students who have been taught to believe that mathematics is a collection of rote procedures.  They are victims of our educational system.  Very sad.

Very few students who are with you after two weeks drop the course and most of them will be in contention for an A or B by the end of the course.  (If they have done the work in the course, they have put in the time most students expect to put into courses they get A's and B's in.)  They ignite at different rates, but most of them do ignite.

Your drop rate will decrease as you gain experience teaching Calculus&Mathematica.

Students will be confused at first because they are worried about Mathematica and because they have never been asked the sort of questions they find in Calculus&Mathematica.  Many problems in Calculus&Mathematica do not have a unique correct response and students are sometimes uncomfortable with this amount of freedom.  Soon they get into the flow.  
:[font = subsection; inactive; preserveAspect; ]
Grading
:[font = text; inactive; preserveAspect; ]
Everyone dreams of a calculus course that teaches itself and requires no grading.  Calculus&Mathematica  almost teaches itself. Class preparation time for Calculus&Mathematica is negligible.  So where's the catch?  You guessed it; the catch is the grading!  If you're going to have a successful course, then you're going to have to do a lot of it.  One of the best times to do it is while you're hanging out in the lab hoping for questions from the students.  

Probably the best way of going about it is to open a homework file and then open a new file with the student's name on the grading file. Tile the windows wide and then scroll through the homework, stopping when you see something great or something wrong.  Copy and paste the part to which you want to call attention into the new file and add your comment.  You don't always have to read every word because when that plot at the end looks right, then the work that went into is probably right.  At the end add your grade and your overall comments and save. Then trash the homework and pass the new grading file on to the student.  There are, of course, thousands of other ways of grading, but our experience is that this way works fairly well.

The worst way to grade is the natural way which consists of making comments directly onto the student's homework file.  This requires lots of time-consuming saves and there is the question of whether the student will read the whole thing in an effort to find your comments.  The students always read the short grading files recommended above.  

One way to save some time is to go through the file with the student.  In fact, when a student is having a lot of trouble, this might be the best way.

Here is an important principle:
When you are grading a problem that asks for a student explanation, be as liberal as you can in grading it.  Students coming into Calculus&Mathematica usually have little confidence in their own abilities to explain mathematics.  If you are too rigid in what you will accept, the result will be to squash the confidence that you are trying to build.  When a student asks,"What did they want?"  Answer by saying," They wanted to find out what you wanted to say."  It works!  It works better with younger students than with older ones, though.  Calcification.
:[font = subsection; inactive; preserveAspect; ]
Testing
:[font = text; inactive; preserveAspect; ]
One of the reasons for the degeneracy of the standard mathematics course is that the standard mathematics course is test-driven.  It emphasizes those activities that make for successful testing whether or not  those activities have any value outside the classroom.

Our students want some tests.  They want some comparison of their "standard" calculus skills with those of their peers.  They want to be reassured that they will be adequately prepared for courses which follow and use calculus.

Short quizzes are good if they are constructed to signal to the student serious gaps that must be filled.  At Illinois, we give no traditional final but we replace the traditional final with a hefty Laboratory Project. We give the students two weeks to do it.  At Ohio State, we give a shorter project, and a comprehensive "Literacy Test".  At Illinois, we give two one hour "Literacy Tests" each semester.  These tests are given in classrooms away from the machines. Calculators are allowed. The questions asked are those typical of an oral exam. Little originality is required, but a decent command of the subject is required.  
:[font = subsection; inactive; preserveAspect; ]
Hand calculations and rote procedures
:[font = text; inactive; preserveAspect; ]
Just as carpenters will always have a need for a hand saw, scientists and other literate persons will always have a need for hand calculations. If you go through the C&M  lessons, you can see that we are serious about quick hand calculations.  Although the issue is probably overblown, hand calculation is for you to deal with as you see fit.  Some of us emphasize strongly that the computer must be seen as an additional tool for learning and doing mathematics, not as a replacement for pencil and paper.  Perhaps that will change with time, but for now, we insist on the presence of paper beside a questioning student.  

C&M  allows you the freedom to adjust the level of hand calculations to what you believe to be appropriate.  Be warned: C&M students somehow become more proficient at hand calculations than you might have predicted.  How does that happen?
:[font = subsection; inactive; preserveAspect; ]
How much customization of Mathematica  is needed?
:[font = text; inactive; preserveAspect; ]
None. 

In order to prepare students for challenging careers, C&M  tries to train students in the use of legitimate tools.  Custom "user-friendly" classroom interfaces are not steps forward if the result is that the only place that the students can undertake serious calculations is the calculus lab.  C&M  students should be able to use Mathematica  wherever they find it.  Therefore C&M  does not customize Mathematica  in any way; instead C&M uses Mathematica directly as it comes off Wolfram's shelf.  Even all the grisly graphics instructions are in the open for our students to use and modify.  This decision (hard as it was at the moment), perhaps more than any other, resulted in our students' becoming competent Mathematica users very quickly.

:[font = subsection; inactive; preserveAspect; ]
Where are the answers to the Give it a try problems?
:[font = text; inactive; preserveAspect; endGroup; ]
As you have observed, this is not a typical teachers' manual.  In the other parts of this treatise, we try to explain the genesis and motivation and purpose of the problems.  We don't give solutions.  Ours would probably fall short of the students' in ingenuity and beauty.  We would like you to share some of our philosophy about individual problems, though.  That's what we try to explain In the detailed section notebooks.  We'll try to tell you why some of the problems are there, what students do with them, and why some other topics don't appear in this course.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Hints about the machines and Mathematica :
:[font = text; inactive; preserveAspect; ]
This section is written for NeXT
:[font = subsection; inactive; preserveAspect; ]
1. Stopping Mathematica 
:[font = text; inactive; preserveAspect; ]
Sometimes we enter commands which run too long.  To make Mathematica stop in the middle of an unintended or unsuccessful calculation, hit the command key and and the , key together.  A menu will appear and allow you to click  the Abort box.  If this does not work, then click on the Quit Kernel Box. Immediately press the command key and and the s key to save what you did up to this point.  If this does not work, then select Quit from the file menu at the top of the screen.  When the machine asks you about saving, click the Yes box.  If none of the above work, then try to contact someone who knows what's happening.  This person might be a student in your class.  Occasionally you will have a hard crash.  That's one of those things which produces a little dialog box which says "You can't do anything but surrender, and you have lost all of the work you did since your last save."  Students get very upset about such crashes until they learn that it takes very little time to re-enter a solution once the solution has been found.
:[font = subsection; inactive; preserveAspect; ]
2. Making homework files
:[font = text; inactive; preserveAspect; ]
The best way for the student to make a homework file is to open the lesson in question, to cut the Basics and Tutorials and then to save the resulting file under the student's name.  This way the homework file inherits the styles and fonts of the mother lesson.

The other way to make a homework file is to copy the Give it a Try section and paste it in a new notebook (= file) with the student's name on it. There is a danger connected with this way:  When you open a new notebook in Mathematica, the new notebook inherits the default styles (fonts) of the copy of Mathematica on the machine being used.  If the default styles do not match the Calculus&Mathematica styles, unpleasant results obtain.  If you took our advice and kept control of the lab, the Default Styles for Mathematica on the lab's machines is Calculus&Mathematica style.
:[font = subsection; inactive; preserveAspect; ]
3. Saving
:[font = text; inactive; preserveAspect; ]
Tell the students to Save often by pressing the command key and and the s key from time to time. If the computer goes down during a session, then it will remember only what it knew at the time of the last save instruction. Saving often can prevent the sick feeling students get when an hour's work goes down the drain.  Yes, Mathematica can crash, but it crashes so infrequently that it is always a surprise when it does.  No one likes this type of surprise.
:[font = subsection; inactive; preserveAspect; ]
4. Crashing the floppies.
:[font = text; inactive; preserveAspect; ]
Undergraduates do strange things with their belongings.  They go into strange places, get bumped around, and even get wet.  This holds for their floppy disks, too.  Floppy disks are less resilient than undergraduates.  

Many of the homework files become very large after they have been executed.  For this reason, best results happen when the student copies the homework file onto the machine's hard drive, works off the hard drive and then copies the result onto a personal floppy disk at the end of a session.  This way an individual lesson in progress will never overflow a floppy.  Floppies fail regularly and often.  We recommend that they be used for storage only and that they never be used during an active session.  If students violate this,  they will probably lose lots of work, and even the usability of disks.  One saving grace in disk destruction is that brand name floppies are guaranteed for the life of the universe, and can be replaced, usually, at the point of purchase.
:[font = subsection; inactive; preserveAspect; ]
Setting up a computer for Calculus&Mathematica
:[font = text; inactive; preserveAspect; ]
The first step is to install the special fonts needed for Calculus&Mathematica.  If you are reading this, you probably already did that.  You should also have installed the default styles sheet.  There's also the keymapping, CalcMath.keymapping.  You select it in the preferences panel when you want to work on C&M notebooks.  
 
The input font should be set at Courier 12 (bold) and the output font should be set at Courier 12(plain).  Using an output font other than Courier is asking for big time trouble.  All of the text and header fonts are set to CalcMath.  There will be a beautified version of CalcMath later this year.  We'll send it to you.  Nothing will need to be retyped, but everything will look better after you install it.
;[s]
7:0,0;225,1;233,2;554,3;562,4;603,5;611,6;740,-1;
7:1,14,10,CalcMath,0,14,0,0,0;1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; ]
Typing in Calculus&Mathematica
:[font = text; inactive; preserveAspect; ]
Early in this project, we decided that we should have our own font for typing some mathematical expressions.  We won't go into the reasons ... They were driven by the uncertainties of structure of Text cells on different computer front-ends.  The current font is CalcMath.  We have provided you with an on-paper copy of the keyboards.  All you have to do is look at it to see where the various symbols are.  You should notice that subscripted characters are all zero width.  This is done so that something like # can be typed with the b appearing directly above the a.  You'll catch on quickly.  A remark:  The "control" key means "control", and not "command".  Here's a quick example:  

Suppose you want to type in symbolic form: 'The sum from 1 to infinity of x sub n squared'.  Type Control-Shift-4 to get the sum: . Type Alt-n to get the sub n, then a space, then Alt-=, then Shift-Control-8 (the infinity) and then Alt-1 and space.  You will have  . .  To get the x sub n squared, type x, then Alt-n, and then Shift-Alt-2.  That got it:  x.  That's all there is to it.
;[s]
5:0,0;263,1;271,2;511,3;512,4;1084,-1;
5:1,14,10,CalcMath,0,14,0,0,0;1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; ]
Typing active Mathematica instructions:
:[font = text; inactive; preserveAspect; ]
If you want to type Mathematica code, then put the cursor in a space between two of the brackets on the far right. The cursor will switch from vertical to horizontal. Click the mouse once. A horizontal line will appear on the screen and you can begin to type as much Mathematica code as you like.
Try this by typing   1 + 1  in the space immediately below this sentence and activating. 
:[font = text; inactive; preserveAspect; ]
The best procedure is to repeat this process everytime you type a new Mathematica instruction.  This way the output from each instruction will be displayed beneath it after the instruction is activated.  Advanced users of Mathematica  do not always practice this rule, but it is a good rule to adhere to until you get some experience.
Try this by typing the Mathematica code
Log[2, 4^21]
Sin[Pi/2]
so that upon activation the Mathematica output comes after each command but before the next Mathematica  command.
To see what happens when you don't follow this advice, activate:
;[s]
1:0,0;576,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = input; preserveAspect; ]
Log[2,4^21]
Sin[Pi/2]
:[font = text; inactive; preserveAspect; ]
In Version 2.0 Mathematica on the NeXT, you see the output from both instructions.  To stop the output from a given line, simply terminate the line with a semicolon.
;[s]
1:0,0;166,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = input; preserveAspect; ]
Log[2,4^21];
Sin[Pi/3] 
:[font = text; inactive; preserveAspect; ]
The exception is graphics commands.
;[s]
1:0,0;35,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = subsection; inactive; preserveAspect; ]
Syntax and error messages
:[font = text; inactive; preserveAspect; ]
As we promised, here are a few of the standard problems you will see frequently.  First, Mathematica does demand the correct use of brackets and parentheses.  Every Mathematica command and built in function has its argument delimited by square brackets:  Sin[x], Plot[Sin[x],{x,0,2Pi}], etc.  Every built in Mathematica command and function uses capital letters wherever possible:  Sin[u], PlotStyle[ ...  ], ParametricPlot[ ... ], etc.  Curly brackets are used for lists:  {1,2,3,6, 4,1001}, {x,1,10}, {t,Pi,2Pi,Pi/20}, etc.   Square and curly brackets aren't acceptable for anything else:
:[font = input; preserveAspect; ]
[a+b] {c+d}
:[font = text; inactive; preserveAspect; ]
If you click in that cell, and hit Enter, you will hear a beep, and the cursor will move to a funny place.  That's quite different from what will happen if you click below and hit Enter.  That's it.  Parentheses are the only things good for separating factors in algebraic expressions.  
;[s]
1:0,0;287,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = input; preserveAspect; ]
(a+b)(c+d)
:[font = text; inactive; preserveAspect; ]
You should also be able to explain what happened in the next instruction.
:[font = input; preserveAspect; ]
f[x_]=x^2+x+2;
{f(a),f[a]}//TableForm
:[font = text; inactive; preserveAspect; ]
That's right!  In the first case, we tried f(a), which Mathematica understands as f times a.  The second form, f[a] is the one Mathematica understands as "f of a".  Wellll, almost.  Here's another common one.
:[font = input; preserveAspect; ]
g[x]=x^2;
g[a]
:[font = text; inactive; preserveAspect; ]
This time, we didn't tell Mathematica that x is meant to be a variable.  It didn't make the desired substitution.  

Let's get down to red stuff.  If you are running Mathematica on machines with color monitors, then error messages come out by default in red letters.  Most of the error messages are difficult to understand until you discover the tricks.  Here are some common ones.
:[font = input; preserveAspect; ]
Plot[h[x],{x,1,10}];
:[font = text; inactive; preserveAspect; ]
All of that red stuff simply tells you that it doesn't know what h[x] is supposed to be.  There are lots of reasons for that.  The commonest is this:  Mathematica doesn't necessarily know what appears on the screen, only what has been activated.  So, either h[x] wasn't defined at all, or it appeared on the screen and wasn't entered, or the lesson has been restarted and h[x] hasn't been reevaluated since the restart.  Of course there are other reasons for such a message.  It may well be that h[x] is perfectly good, but that it really doesn't give a real number as a value:
;[s]
1:0,0;577,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = input; preserveAspect; ]
h[x_] = Sqrt[x-5];
Plot[h[x],{x,1,10}];
:[font = text; inactive; preserveAspect; ]
This one is obviously not as bad as the first, and students usually figure out what happened for themselves.  Now, here's one which isn't talking about an error.  It's only warning you that you may not get all of the answers.
:[font = input; preserveAspect; ]
ruthie=Solve[E^x==3,x]
:[font = subsubsection; inactive; preserveAspect; ]
Call for help
:[font = text; inactive; preserveAspect; ]
We expect to make a massive overhaul of this preliminary version of Calculus&Mathematica for the first edition.  We will appreciate hearing your suggestions for improvement.  Calculus debates are just as much fun as religious arguments; it's too bad that there aren't more of them. 
:[font = subsection; inactive; preserveAspect; ]
Some words from those wiser than the authors
:[font = text; inactive; preserveAspect; ]
Deans and Provosts tend to like authoritative backing for their bravery.  Here are some quotations about Calculus and Calculus Reform you can use in your proposals.  
:[font = text; inactive; preserveAspect; ]
Peter Lax:
:[font = text; inactive; preserveAspect; ]
Calculus as currently taught is, alas, full of inert material which will remain there as long as the teaching of calculus is controlled by .... the group presently entrusted with teaching it.
    
;[s]
1:0,0;197,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Phillip J. Davis:
:[font = text; inactive; preserveAspect; ]
The fact that the horse preceded the auto industry does not mean that students need to learn about oats and horseback riding prior to taking auto training.  Furthermore, granted driver training, there is no necessity to teach a wide swath of people the details of carburetor construction.
;[s]
1:0,0;288,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Winston Churchill:
:[font = text; inactive; preserveAspect; ]
Personally I am always ready to learn, although I do not always like being taught.
;[s]
1:0,0;82,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Albert Einstein:
:[font = text; inactive; preserveAspect; ]
The words or language, as they are written or spoken do not seem to play any role in my mechanism of thought.
;[s]
1:0,0;109,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Henri Poincare:
:[font = text; inactive; preserveAspect; ]
Can one ever understand a theory if one builds it up right from the start in the definitive form that rigorous logic imposes, without some indications of the attempts that led to it?  No; one does not really understand it... one retains it only by learning it by heart.
;[s]
1:0,0;269,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Richard Hamming:
;[s]
1:0,0;16,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
The purpose of computing is insight, not numbers.     
;[s]
1:0,0;54,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Henri Lebesgue:
:[font = text; inactive; preserveAspect; ]
If the limit of the (polygonal areas) had been designated as the  'tarababump' of the circle, one would not be permitted to derive from it the value of the tarababump of the sector... We allow ourselves to do it because instead of the word tarababump we used the word area! ....imagine the inevitable confusion that will be caused by making the pupils identitify this new area with the areas to which they are accustomed.
;[s]
1:0,0;421,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Richard Feynman:
:[font = text; inactive; preserveAspect; ]
Many of the math books... are full of such nonsense- of carefully and precisely defined words that are used by pure mathematicians in their most subtle and difficult analyses, and are used by nobody else... The real problem in speech is not precise language.  The problem is clear language.
;[s]
1:0,0;290,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Richard Benson:
:[font = text; inactive; preserveAspect; ]
There's a terrible problem I run into in teaching, which is that when you tell people something, you keep them from ever knowing it.  If they find it on their own, they'll know it in a way they never will if you tell them. What I try to do more and more is to bring my students up here to my studio and get them really working. I certainly let them know that it's a very dubious thing to be a professor. 
;[s]
1:0,0;405,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Richard Courant:
:[font = text; inactive; preserveAspect; ]
(The student) refuses to be bored by diffuseness and general statements which convey nothing to him and he will not tolerate a pedantry which makes no distinction between the essential and the non-essential, and which, for the sake of a systematic set of axioms, deliberately conceals the facts to which the growth of the subject(calculus) is due.
;[s]
1:0,0;347,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
Jacob T. Schwartz:
:[font = text; inactive; preserveAspect; endGroup; ]
Many conventional academic skills simply amount to the ability to select and apply algorthmic or near-algorithmic procedures rapidly and correctly...Courseware can concentrate on one skill at a time, in a manner impossible for a textbook and hardly available to the classroom teacher, namely by asking the student to handle only that part of a procedure on which pedagogical stress is to be laid, while other aspects of the same procedure are handled automatically by the computer.....
This scheme, which combines student interaction with sophisticated computer assistance, has the merit of focusing attention on the key strategic and conceptual decisions neede to handle a problem, while lower level , assumed skills are automatically supplied... As already said, by relieving the student of part of the burden of low-level arithmetic and algebraic details, we focus her attention on the conceptual content of the material at hand, thus allowing her to comprehend it more richly. This should be of significance to both the strong student, whose progress the computer can accelerate, and the weaker student, for whose inaccuracy in applying the auxillary manipulations which support higher level skills the computer can compensate.
;[s]
1:0,0;1231,-1;
1:1,14,10,CalcMath,0,14,0,0,0;
^*)